Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans
Class SimpleBeanInfo

    java.lang.Object
      |
      +--java.beans.SimpleBeanInfo

All Implemented Interfaces:
  BeanInfo

public class SimpleBeanInfo
extends Object
implements BeanInfo

This is a support class to make it easier for people to provide BeanInfo classes.

It defaults to providing "noop" information, and can be selectively overriden to provide more explicit information on chosen topics. When the introspector sees the "noop" values, it will apply low level introspection and design patterns to automatically analyze the target bean.

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`SimpleBeanInfo()`

Method Summary
`BeanInfo[]` | `getAdditionalBeanInfo()` Claim there are no other relevant BeanInfo objects.
`BeanDescriptor` | `getBeanDescriptor()` Deny knowledge about the class and customizer of the bean.
`int` | `getDefaultEventIndex()` Deny knowledge of a default event.
`int` | `getDefaultPropertyIndex()` Deny knowledge of a default property.
`EventSetDescriptor[]` | `getEventSetDescriptors()` Deny knowledge of event sets.
`Image` | `getIcon(int iconKind)` Claim there are no icons available.
`MethodDescriptor[]` | `getMethodDescriptors()` Deny knowledge of methods.
`PropertyDescriptor[]` | `getPropertyDescriptors()` Deny knowledge of properties.
`Image` | `loadImage(String resourceName)` This is a utility method to help in loading icon images.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleBeanInfo

    public SimpleBeanInfo()

Method Detail

### getBeanDescriptor

    public BeanDescriptor getBeanDescriptor()

  Deny knowledge about the class and customizer of the bean. You can override this if you wish to provide explicit info.
  Specified by:
    `getBeanDescriptor` in interface `BeanInfo`
  Following copied from interface: `java.beans.BeanInfo`
  Returns:
    A BeanDescriptor providing overall information about the bean, such as its displayName, its customizer, etc. May return null if the information should be obtained by automatic analysis.

### getPropertyDescriptors

    public PropertyDescriptor[] getPropertyDescriptors()

  Deny knowledge of properties. You can override this if you wish to provide explicit property info.
  Specified by:
    `getPropertyDescriptors` in interface `BeanInfo`
  Following copied from interface: `java.beans.BeanInfo`
  Returns:
    An array of PropertyDescriptors describing the editable properties supported by this bean. May return null if the information should be obtained by automatic analysis.

    If a property is indexed, then its entry in the result array will belong to the IndexedPropertyDescriptor subclass of PropertyDescriptor. A client of getPropertyDescriptors can use "instanceof" to check if a given PropertyDescriptor is an IndexedPropertyDescriptor.

### getDefaultPropertyIndex

    public int getDefaultPropertyIndex()

  Deny knowledge of a default property. You can override this if you wish to define a default property for the bean.
  Specified by:
    `getDefaultPropertyIndex` in interface `BeanInfo`
  Following copied from interface: `java.beans.BeanInfo`
  Returns:
    Index of default property in the PropertyDescriptor array returned by getPropertyDescriptors.

    Returns -1 if there is no default property.

### getEventSetDescriptors

    public EventSetDescriptor[] getEventSetDescriptors()

  Deny knowledge of event sets. You can override this if you wish to provide explicit event set info.
  Specified by:
    `getEventSetDescriptors` in interface `BeanInfo`
  Following copied from interface: `java.beans.BeanInfo`
  Returns:
    An array of EventSetDescriptors describing the kinds of events fired by this bean. May return null if the information should be obtained by automatic analysis.

### getDefaultEventIndex

    public int getDefaultEventIndex()

  Deny knowledge of a default event. You can override this if you wish to define a default event for the bean.
  Specified by:
    `getDefaultEventIndex` in interface `BeanInfo`
  Following copied from interface: `java.beans.BeanInfo`
  Returns:
    Index of default event in the EventSetDescriptor array returned by getEventSetDescriptors.

    Returns -1 if there is no default event.

### getMethodDescriptors

    public MethodDescriptor[] getMethodDescriptors()

  Deny knowledge of methods. You can override this if you wish to provide explicit method info.
  Specified by:
    `getMethodDescriptors` in interface `BeanInfo`
  Following copied from interface: `java.beans.BeanInfo`
  Returns:
    An array of MethodDescriptors describing the externally visible methods supported by this bean. May return null if the information should be obtained by automatic analysis.

### getAdditionalBeanInfo

    public BeanInfo[] getAdditionalBeanInfo()

  Claim there are no other relevant BeanInfo objects. You may override this if you want to (for example) return a BeanInfo for a base class.
  Specified by:
    `getAdditionalBeanInfo` in interface `BeanInfo`
  Following copied from interface: `java.beans.BeanInfo`
  Returns:
    an array of BeanInfo objects. May return null.

### getIcon

    public Image getIcon(int iconKind)

  Claim there are no icons available. You can override this if you want to provide icons for your bean.
  Specified by:
    `getIcon` in interface `BeanInfo`
  Following copied from interface: `java.beans.BeanInfo`
  Parameters:
    `iconKind` - The kind of icon requested. This should be one of the constant values ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, or ICON_MONO_32x32.
  Returns:
    An image object representing the requested icon. May return null if no suitable icon is available.

### loadImage

    public Image loadImage(String resourceName)

  This is a utility method to help in loading icon images. It takes the name of a resource file associated with the current object's class file and loads an image object from that file. Typically images will be GIFs.

  Parameters:
    `resourceName` - A pathname relative to the directory holding the class file of the current class. For example, "wombat.gif".
  Returns:
    an image object. May be null if the load failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.